Returns whether this extension is temporary

- « ReflectionExtension::isPersistent

- ReflectionExtension::__toString »

- PHP Manual
- ReflectionExtension
- Returns whether this extension is temporary

# ReflectionExtension::isTemporary

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

ReflectionExtension::isTemporary — Returns whether this extension is temporary

### Description

public ReflectionExtension::isTemporary(): bool

Check whether the extension is temporary.

An extension is temporary when it is loaded with dl().

### Parameters

This function has no parameters.

### Return Values

Returns `true` for extensions loaded by dl(), `false` otherwise.

### See Also

- ReflectionExtension::isPersistent() - Returns whether this extension is persistent